Loading...
Searching...
No Matches
ranges::views::zip_fn Struct Reference

## Public Member Functions

constexpr empty_view< std::tuple<> > | operator() () const noexcept
template<typename... Rngs> requires and_v<viewable_range<Rngs>...> && and_v<input_range<Rngs>...> && (sizeof...(Rngs) != 0)
zip_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const

## Related Symbols

(Note that these are not member symbols.)
constexpr zip_fn | zip {}